
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-vcf
Summary:		VCF LADSPA plugin
Version:		0.0.5
Release:		0.pm.2.3
License:		GPL
Group:			Productivity/Multimedia/Sound/Utilities
Source:			vcf-%{version}.tar.bz2
Source1:		ladspa-README_VCF
Patch:			ladspa-vcf-Makefile.diff
URL:			http://www.suse.de/~mana/ladspa.html
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	ladspa

%description
The package contains the LADSPA plugins:
  * alienwah-%{alienwah_version}



%prep
%setup -q -n vcf-%{version}
%patch

%__install -m 644 %{SOURCE1} README_VCF

%build
%__make \
	CFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC"

%install
%__install -dm 755 %{buildroot}%{_libdir}/ladspa
%__install -m 644 -c *.so \
	%{buildroot}%{_libdir}/ladspa

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README_VCF
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*

%changelog
* Sun Sep 16 2007 Toni Graffy <toni@links2linux.de> - 0.0.5-0.pm.1
- splitt-off from ladspa package
